---
title: React 脚手架
date: 2020-07-14 01:57:07
tags: react
---

# 安装 create-react-app

 npm install create-react-app -g

# 简介

1. 这个脚手架是基于 webpack 构建 React 项目，内置了一个开发服务器，默认端口是 3000，可以实现实时打包，自启动等功能
2. 创建项目命令：create-react-app react-base
3. 启动项目命令：npm run start 或者 npm start
4. 打包项目命令：npm run build 或者 npm build

# 如何修改 webpack 配置

1. npm run eject 暴露 webpack 的配置文件，可以做一些修改
2. 关闭自启动：/scripts/start.js，将 142 行 的 **openBrowser(urls.localUrlForBrowser);** 注释即可
3. 修改端口：packge.json 文件中：**"start": "set PORT=5000 && node scripts/start.js"**，注意：**set PORT=5000 &&**一定要写在前面
