---
title: vant 安装
date: 2020-08-15 09:57:07
tags: vue
---

 npm install vant

# vant 配置

1. 安装 `npm i babel-plugin-import -D`
2. 配置 `babel.config.js`

```
plugins: [
  ['import', {
    libraryName: 'vant',
    libraryDirectory: 'es',
    style: true
  }, 'vant']
]
```

# vant 使用

1. 组件需要在 main.js 中 使用 Vue.use() 注册；

```
import { Button } from "vant";
Vue.use(Button);
```

2. 有些组件不用 Vue.use() 注册，可以当成一个函数直接调用；

# vue-awesome-swiper 轮播图插件(库)

 这个 插件是基于 swiper 插件封装的，因此，swiper 中的配置对于 vue-awesome-swiper 都是有效的。

1. 安装 swiper 包

    npm install swiper@4
    注意：swiper6/5 目前对于 vue 的兼容性不是很好，不要安装最新的 swiper

2. 安装 vue-awesome-swiper 包
   注意：这个包可以是最新版本

3. 配置插件

```
import VueAwesomeSwiper from "vue-awesome-swiper";
import "swiper/dist/css/swiper.css";
Vue.use(VueAwesomeSwiper);
```

4. 使用

```
<swiper :options="swiperOption">
  <swiper-slide>I'm Slide 1</swiper-slide>
  <swiper-slide>I'm Slide 2</swiper-slide>
  <swiper-slide>I'm Slide 3</swiper-slide>
  <!-- <div class="swiper-pagination" slot="pagination"></div> -->
  <div class="swiper-scrollbar" slot="scrollbar"></div>
</swiper>
swiperOption: {
  // 指示器为 pagination 小圆点
  // pagination: {
  //   el: ".swiper-pagination",
  //   type: "fraction",
  // },

  // 指示器为 滚动条
  scrollbar: {
    el: ".swiper-scrollbar",
    hide: true,
  },
},
```
